=== debian/control ===
Source: dsdcc
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
Standards-Version: 4.5.0
Homepage: https://github.com/f4exb/dsdcc
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dsdcc.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/dsdcc

Package: dsdcc
Architecture: any
Depends:
 libdsdcc1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Digital Speech Decoder (DSD)
 DSDcc is a digital speech decoder. Supported formats:
 .
  * DMR/MOTOTRBO: ETSI two slot TDMA standard. MOTOTRBO is a popular
    implementation of this standard.
  * D-Star: developed and promoted by Icom for Amateur Radio customers.
  * dPMR: ETSI narrowband FDMA standard. This is somehow similar to NXDN 2400
    Baud rate mode.
  * Yaesu System Fusion (abbreviated YSF): developed and promoted by Yaesu for
    Amateur Radio customers partly inspired by gr-ysf. Voice full rate with
    SerialDV is not supported.
 .
 This package contains dsdccx, the command line interface.

Package: libdsdcc1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Digital Speech Decoder (DSD)
 DSDcc is a digital speech decoder. Supported formats:
 .
  * DMR/MOTOTRBO: ETSI two slot TDMA standard. MOTOTRBO is a popular
    implementation of this standard.
  * D-Star: developed and promoted by Icom for Amateur Radio customers.
  * dPMR: ETSI narrowband FDMA standard. This is somehow similar to NXDN 2400
    Baud rate mode.
  * Yaesu System Fusion (abbreviated YSF): developed and promoted by Yaesu for
    Amateur Radio customers partly inspired by gr-ysf. Voice full rate with
    SerialDV is not supported.
 .
 This package contains the shared library which has been compiled without
 mbelib support.

Package: libdsdcc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdsdcc1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Digital Speech Decoder (DSD) (headers)
 DSDcc is a digital speech decoder. Supported formats:
 .
  * DMR/MOTOTRBO: ETSI two slot TDMA standard. MOTOTRBO is a popular
    implementation of this standard.
  * D-Star: developed and promoted by Icom for Amateur Radio customers.
  * dPMR: ETSI narrowband FDMA standard. This is somehow similar to NXDN 2400
    Baud rate mode.
  * Yaesu System Fusion (abbreviated YSF): developed and promoted by Yaesu for
    Amateur Radio customers partly inspired by gr-ysf. Voice full rate with
    SerialDV is not supported.
 .
 This package contains the header files.
