## dsdcc 1.9.0

=== debian/changelog ===
dsdcc (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 20:26:47 +0100
