=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Standards-Version: 4.5.0
 Homepage: https://github.com/f4exb/dsdcc
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dsdcc.git
