## dsdcc 1.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 project(dsdcc)
 
 set(MAJOR_VERSION 1)
-set(MINOR_VERSION 8)
-set(PATCH_VERSION 5)
+set(MINOR_VERSION 9)
+set(PATCH_VERSION 0)
 set(PACKAGE libdsdcc)
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 set(VERSION ${VERSION_STRING})
@@ -75,6 +75,7 @@
     dsd_opts.cpp
     dsd_state.cpp
     dsd_symbol.cpp
+    dsd_sync.cpp
     dstar.cpp
     ysf.cpp
     dpmr.cpp
@@ -106,6 +107,7 @@
     dsd_opts.h
     dsd_state.h
     dsd_symbol.h
+    dsd_sync.h
     dstar.h
     ysf.h
     dpmr.h
@@ -158,6 +160,7 @@
 add_library(dsdcc SHARED
     ${dsdcc_SOURCES}
 )
+set_target_properties(dsdcc PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})
 
 if (USE_MBELIB AND LIBMBE_FOUND)
     target_link_libraries(dsdcc ${LIBMBE_LIBRARY})
@@ -183,8 +186,6 @@
     dsd_main.cpp
 )
 
-set_target_properties(dsdccx PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})
-
 target_include_directories(dsdccx PUBLIC
     ${PROJECT_SOURCE_DIR}
     ${CMAKE_CURRENT_BINARY_DIR}
@@ -222,5 +223,5 @@
 if(BUILD_TOOL)
     install(TARGETS dsdccx DESTINATION bin)
 endif(BUILD_TOOL)
-install(TARGETS dsdcc DESTINATION lib${LIB_SUFFIX})
+install(TARGETS dsdcc DESTINATION ${LIB_INSTALL_DIR})
 install(FILES ${dsdcc_HEADERS} DESTINATION include/${PROJECT_NAME})
