=== debian/changelog ===
dsdcc (1.9.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062388

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 02:28:08 +0000

dsdcc (1.9.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * Update github watchfile.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Nov 2022 16:49:36 +0100

dsdcc (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Apr 2021 23:15:48 +0200
