=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/f4exb/dsdcc
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dsdcc.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/dsdcc
@@ -15,7 +15,7 @@
 Package: dsdcc
 Architecture: any
 Depends:
- libdsdcc1 (= ${binary:Version}),
+ libdsdcc1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Digital Speech Decoder (DSD)
@@ -32,7 +32,10 @@
  .
  This package contains dsdccx, the command line interface.
 
-Package: libdsdcc1
+Package: libdsdcc1t64
+Provides: ${t64:Provides}
+Replaces: libdsdcc1
+Breaks: libdsdcc1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -59,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdsdcc1 (= ${binary:Version}),
+ libdsdcc1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Digital Speech Decoder (DSD) (headers)
