=== debian/watch ===
version=4
https://github.com/f4exb/dsdcc/tags .*/v(.*).tar.gz
