## dsdcc 1.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.5)
 
 project(dsdcc)
 
@@ -54,13 +54,12 @@
     set(CMAKE_BUILD_TYPE "Release")
 endif()
 
-find_package(LibMbe)
+if (USE_MBELIB)
+    find_package(LibMbe REQUIRED)
+    add_definitions(-DDSD_USE_MBELIB)
+endif()
+
 find_package(SerialDV)
-
-if (USE_MBELIB AND LIBMBE_FOUND)
-    add_definitions(-DDSD_USE_MBELIB)
-endif()
-
 if (LIBSERIALDV_FOUND)
     add_definitions(-DDSD_USE_SERIALDV)
 endif()
@@ -133,7 +132,7 @@
     export.h
 )
 
-if (USE_MBELIB AND LIBMBE_FOUND)
+if (USE_MBELIB)
     set(dsdcc_HEADERS
         ${dsdcc_HEADERS}
         dsd_mbelib.h
@@ -145,7 +144,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-if (USE_MBELIB AND LIBMBE_FOUND)
+if (USE_MBELIB)
     include_directories(
         ${LIBMBE_INCLUDE_DIR}
     )
@@ -162,7 +161,7 @@
 )
 set_target_properties(dsdcc PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})
 
-if (USE_MBELIB AND LIBMBE_FOUND)
+if (USE_MBELIB)
     target_link_libraries(dsdcc ${LIBMBE_LIBRARY})
 endif()
