=== debian/changelog ===
dsdcc (1.9.6-1) unstable; urgency=medium

  * New upstream version 1.9.6.
  * Works with cmake 4. (Closes: #1112857)

 -- Christoph Berg <myon@debian.org>  Wed, 15 Oct 2025 13:19:58 +0200
